Initial commit
Benjamin Renard

Benjamin Renard commited on 2012-01-27 18:47:10
Showing 9 changed files, with 236 additions and 0 deletions.

... ...
@@ -0,0 +1,6 @@
1
+files
2
+*.debhelper.log
3
+*.substvars
4
+ushare/
5
+*.debhelper
6
+*~
... ...
@@ -0,0 +1,5 @@
1
+ushare (1.1a-1) unstable; urgency=low
2
+
3
+  * Initial Debian release
4
+
5
+ -- Benjamin Renard <brenard@zionetrix.net>  Fri, 27 Jan 2012 00:18:48 +0100
... ...
@@ -0,0 +1 @@
1
+7
... ...
@@ -0,0 +1,15 @@
1
+Source: ushare
2
+Section: net
3
+Priority: extra
4
+Maintainer: Benjamin Renard <brenard@zionetrix.net>
5
+Build-Depends:
6
+ libupnp3-dev, libdlna
7
+Homepage: http://ushare.geexbox.org/
8
+Vcs-Browser: http://git.zionetrix.net/?p=ushare-debian-package
9
+Vcs-Git: http://git.zionetrix.net/git/ushare-debian-package
10
+
11
+Package: ushare
12
+Architecture: any
13
+Depends: libdlna, ${misc:Depends}, ${shlibs:Depends}
14
+Description: Ushare UPnP A/V & DLNA Media Server
15
+ This package contains Ushare UPnP A/V & DLNA Media Server.
... ...
@@ -0,0 +1,26 @@
1
+This package was debianized by Benjamin Renard <brenard@zionetrix.net> on
2
+Fri, 27 Jan 2012 00:18:48 +0100
3
+
4
+It was downloaded from website of projet Wifidog :
5
+
6
+  http://ushare.geexbox.org/#Download
7
+
8
+Upstream Author:
9
+
10
+    Benjamin Zores
11
+
12
+Copyright:
13
+
14
+    uShare is copyright (C) 2005-2007 Benjamin Zores.
15
+    
16
+    This software is issued from GNU GENERAL PUBLIC LICENSE Version 2
17
+
18
+License:
19
+
20
+    You can use it under GNU GENERAL PUBLIC LICENSE Version 2 policy 
21
+     
22
+    For more information on GNU GENERAL PUBLIC LICENSE Version 2 policy,
23
+    please refer to COPYING. 
24
+     
25
+The Debian packaging is (C) 2012, Benjamin Renard <brenard@zionetrix.net> and
26
+is licensed under the GPL, see `/usr/share/common-licenses/GPL'.
... ...
@@ -0,0 +1,4 @@
1
+etc/
2
+usr/bin
3
+usr/share/locale/fr/LC_MESSAGES
4
+usr/share/locale/de/LC_MESSAGES
... ...
@@ -0,0 +1,92 @@
1
+#!/usr/bin/make -f
2
+# -*- makefile -*-
3
+
4
+# Uncomment this to turn on verbose mode.
5
+#export DH_VERBOSE=1
6
+
7
+
8
+
9
+
10
+
11
+configure: configure-stamp
12
+configure-stamp:
13
+	dh_testdir
14
+	# Add here commands to configure the package.
15
+
16
+	touch configure-stamp
17
+
18
+
19
+build: build-stamp
20
+
21
+build-stamp: configure-stamp  
22
+	dh_testdir
23
+
24
+	# Add here commands to compile the package.
25
+	cd $(CURDIR) && ./configure --enable-dlna
26
+	cd $(CURDIR) && $(MAKE)
27
+
28
+	touch $@
29
+
30
+clean: 
31
+	dh_testdir
32
+	dh_testroot
33
+	rm -f build-stamp configure-stamp
34
+
35
+	# Add here commands to clean up after the build process.
36
+	cd $(CURDIR) && $(MAKE) clean
37
+
38
+	dh_clean 
39
+
40
+install: build
41
+	dh_testdir
42
+	dh_testroot
43
+	dh_clean -k 
44
+	dh_installdirs
45
+
46
+	# Add here commands to install the package into debian/ushare.
47
+	cp $(CURDIR)/scripts/ushare.conf $(CURDIR)/debian/ushare/etc
48
+	cp $(CURDIR)/scripts/ushare $(CURDIR)/debian/ushare.init
49
+
50
+	cp $(CURDIR)/src/ushare $(CURDIR)/debian/ushare/usr/bin
51
+
52
+	cp $(CURDIR)/po/fr.gmo $(CURDIR)/debian/ushare/usr/share/locale/fr/LC_MESSAGES
53
+	cp $(CURDIR)/po/de.gmo $(CURDIR)/debian/ushare/usr/share/locale/de/LC_MESSAGES
54
+
55
+
56
+# Build architecture-independent files here.
57
+binary-indep: build install
58
+# We have nothing to do by default.
59
+
60
+# Build architecture-dependent files here.
61
+binary-arch: build install
62
+	dh_testdir
63
+	dh_testroot
64
+	dh_installchangelogs ChangeLog
65
+#	dh_installdocs
66
+#	dh_installexamples
67
+#	dh_install
68
+#	dh_installmenu
69
+#	dh_installdebconf	
70
+#	dh_installlogrotate
71
+#	dh_installemacsen
72
+#	dh_installpam
73
+#	dh_installmime
74
+#	dh_python
75
+	dh_installinit
76
+#	dh_installcron
77
+#	dh_installinfo
78
+#	dh_installman
79
+	dh_link
80
+	dh_strip
81
+	dh_compress
82
+	dh_fixperms
83
+#	dh_perl
84
+	dh_makeshlibs
85
+	dh_installdeb
86
+	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
87
+	dh_gencontrol
88
+	dh_md5sums
89
+	dh_builddeb
90
+
91
+binary: binary-indep binary-arch
92
+.PHONY: build clean binary-indep binary-arch binary install configure
... ...
@@ -0,0 +1,5 @@
1
+# Configuration file
2
+CONFIGFILE="/etc/ushare.conf"
3
+
4
+# Ushare command line options (default : -f $CONFIGFILE)
5
+USHARE_OPTIONS="-f $CONFIGFILE"
... ...
@@ -0,0 +1,82 @@
1
+#!/bin/sh -e
2
+#
3
+# uShare init script
4
+#
5
+### BEGIN INIT INFO
6
+# Provides:          ushare
7
+# Required-Start:    $local_fs $syslog $network
8
+# Should-Start:
9
+# Required-Stop:
10
+# Should-Stop:
11
+# Default-Start:     2 3 4 5
12
+# Default-Stop:      0 1 6
13
+# Short-Description: uShare
14
+# Description:       uShare UPnP (TM) A/V & DLNA Media Server
15
+#                    You should edit configuration in /etc/ushare.conf file
16
+#                    See http://ushare.geexbox.org for details
17
+### END INIT INFO
18
+
19
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
20
+DAEMON=/usr/bin/ushare
21
+NAME=ushare
22
+DESC="uShare UPnP A/V & DLNA Media Server"
23
+PIDFILE=/var/run/ushare.pid
24
+CONFIGFILE=/etc/ushare.conf
25
+
26
+# abort if no executable exists
27
+[ -x $DAEMON ] || exit 0
28
+
29
+# Get lsb functions
30
+. /lib/lsb/init-functions
31
+. /etc/default/rcS
32
+
33
+[ -f /etc/default/ushare ] && . /etc/default/ushare
34
+
35
+checkpid() {
36
+  [ -e $PIDFILE ] || touch $PIDFILE
37
+}
38
+
39
+check_shares() {
40
+  if [ -r "$CONFIGFILE" ]; then
41
+    . $CONFIGFILE
42
+    [ -n "$USHARE_DIR" ] && return 0
43
+  fi
44
+  return 1
45
+}
46
+
47
+case "$1" in
48
+  start)
49
+    log_daemon_msg "Starting $DESC: $NAME"
50
+    if ! $(check_shares); then
51
+      log_warning_msg "No shares avalaible ..."
52
+      log_end_msg 0
53
+    else
54
+      checkpid
55
+      start-stop-daemon --start --quiet --background --oknodo \
56
+        --make-pidfile --pidfile $PIDFILE \
57
+        --exec $DAEMON -- $USHARE_OPTIONS
58
+      log_end_msg $?
59
+    fi
60
+  ;;
61
+  stop)
62
+    log_daemon_msg "Stopping $DESC: $NAME"
63
+    start-stop-daemon --stop --signal 2 --quiet --oknodo --pidfile $PIDFILE
64
+    log_end_msg $?
65
+  ;;
66
+  reload|force-reload)
67
+    log_daemon_msg "Reloading $DESC: $NAME"
68
+    start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile $PIDFILE --exec $DAEMON
69
+    log_end_msg $?
70
+  ;;
71
+  restart)
72
+    $0 stop
73
+    $0 start
74
+  ;;
75
+  *)
76
+    N=/etc/init.d/$NAME
77
+    log_success_msg "Usage: $N {start|stop|restart|reload|force-reload}"
78
+    exit 1
79
+  ;;
80
+esac
81
+
82
+exit 0
0 83